Bug 115458 - Kernel Panic: Fatal Exception in Interupt
Kernel Panic: Fatal Exception in Interupt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
NeedsRetesting
:
: 119293 (view as bug list)
Depends On:
Blocks: FC2Target FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-02-12 13:36 EST by Michael McCabe
Modified: 2010-08-10 11:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 11:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of kernel panic (141.37 KB, image/png)
2004-05-31 06:22 EDT, Jan Röhrich
no flags Details

  None (edit)
Description Michael McCabe 2004-02-12 13:36:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
I'm tyring to install Fedora Core 2 Test 1 on an Pentium 3 500Mhz with
76 megs of ram.  It use's an Intel 440bx Chipset on the motherboard. 
While /sbin/loader is running the kernel panics. (I'm sorry if this is
the wrong place  this might need to go in Anacdonda-- I think its
kernel specific. ) 


Version-Release number of selected component (if applicable):
Install Cd Kernel

How reproducible:
Always

Steps to Reproduce:
1.Boot intall cd in any mode
2.
3.
    

Actual Results:  The kernel panics

Code: 0f 0b 2f 04 ab d6 33 c0 89 2b 8b 44 24 3c 89 83 fc 00 00 00
<0> Kernel panic: Fatal exception in interupt
In interupt handler - not syncing

Expected Results:  The installer should load

Additional info:
Comment 1 Dave Jones 2004-02-13 11:22:49 EST
the text before this is the important info here.
Comment 2 Jan Röhrich 2004-05-31 06:22:25 EDT
Created attachment 100712 [details]
Screenshot of kernel panic
Comment 3 Jan Röhrich 2004-05-31 06:25:19 EDT
I have the same problem with FC1, FC2test1, FC2test2, FC2test3 and
FC2. The last working version is Redhat 9b.

The text you are looking for is attached in the picture. Sorry, but I
have no second computer so I can't save this output via a serial cable.

My hardware configuration:
Pentium II 450
Intel BX440
Mitsumi 2801T CD Writer

#119293 seems to be a similar bug.
Comment 4 Oliver Dittmer 2004-06-22 07:09:18 EDT
Same here in RC2:
Atleast the code from above screenshot matches
0f 0b eb 03 c1 e4 2a c0 89 0a 8b 44 24 18 89 82 e4 00 00 00

Pentium II 266
64MB RAM
Intel 440LX chipset
cd-rom mitsumi crmc-fx320s
Comment 5 Oliver Dittmer 2004-06-22 12:47:05 EDT
Installation works with different cd-rom drive.
Comment 6 Joel Rees 2004-07-30 04:56:53 EDT
On my box, this comes up at the sbin loader point when booting from
the CD, burned at both 24X and 4X:

Here's as much as I can grab from the console:
---------------------------------------------------------
anaconda init [version something or other] starting
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
trying to remount root file system as read/write... done
mounting /tmp as ramfs... done
running install
running /sbin/loader
---------------------------------------------------------
(I can try for more if necessary.)
At this point it panics and leaves the following:
(I'm leaving out vectors that I figure will be hardware dependent. Do
you need them?)
---------------------------------------------------------
ds:007b	es:007b	ss:0068
Process swapper (pid 0, threadinfo=c034c000 task=c02cdaa0)
Stack: [do you need this?]
call trace [do you need the vectors?]: 
cdrom_start_read_continuation+0x0+0xb0
cdrom_start_packet_command+0x110/0x134
cdrom_timer_expiry+0x0/0x4c
ide_do_rw_cdrom+0xe3/0x14f
start_request+0x197/0x1b8
ide_do_request+0x23f/0x27a
ide_timer_expiry+0x151/0x15d
ide_timer_expiry+0x0/0x15d
run_timer_softirq+0x10b/0x12a
__do_softirq+0x35/0x73
do_softirq+0x46/0x4d
=========================
do_IRQ+0x15d/0x169
common_interrupt+0x18/0x20

Code: 0f 0b eb 03 c1 ef 2a c0 89 0a 8b 44 24 18 89 82 e4 00 00 00
<0>Kernel panic: Fatal exeption in interrupt
In interrupt handler - not syncing
----------------------------------------------------------

The code above is the same others have reported. This is a Gateway
model G6 350.

The dmesg from the currently functional install of RH 7.3 (the one we
are trying to overwrite) follows:
----------------------------------------------------------
Linux version 2.4.18-3 (bhcompile@daffy.perf.redhat.com) (gcc version
2.96 20000731 (Red Hat Linux 7.3 2.96-110)) #1 Thu Apr 18 07:37:53 EDT
2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e7400 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 00000000040fdc00 (usable)
 BIOS-e820: 00000000040fdc00 - 00000000040ff800 (ACPI data)
 BIOS-e820: 00000000040ff800 - 00000000040ffc00 (ACPI NVS)
 BIOS-e820: 00000000040ffc00 - 0000000008000000 (usable)
 BIOS-e820: 00000000fffe7400 - 0000000100000000 (reserved)
On node 0 totalpages: 32768
zone(0): 4096 pages.
zone(1): 28672 pages.
zone(2): 0 pages.
Kernel command line: ro root=/dev/hda9 hdd=ide-scsi
ide_setup: hdd=ide-scsi
Initializing CPU#0
Detected 348.491 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 694.68 BogoMIPS
Memory: 126220k/131072k available (1119k kernel code, 4452k reserved,
775k data, 280k init, 0k highmem)
Dentry cache hash table entries: 16384 (order: 5, 131072 bytes)
Inode cache hash table entries: 8192 (order: 4, 65536 bytes)
Mount-cache hash table entries: 2048 (order: 2, 16384 bytes)
Buffer cache hash table entries: 8192 (order: 3, 32768 bytes)
Page-cache hash table entries: 32768 (order: 5, 131072 bytes)
CPU: Before vendor init, caps: 0183f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
CPU: After vendor init, caps: 0183f9ff 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0183f9ff 00000000 00000000 00000000
CPU:             Common caps: 0183f9ff 00000000 00000000 00000000
CPU: Intel Pentium II (Deschutes) stepping 01
Enabling fast FPU save and restore... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfd9a3, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Starting kswapd
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT
SHARE_IRQ SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
block: 240 slots per queue, batch=60
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x10e0-0x10e7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x10e8-0x10ef, BIOS settings: hdc:DMA, hdd:DMA
hda: IBM-DTTA-350840, ATA DISK drive
hdc: FX320S, ATAPI CD/DVD-ROM drive
hdd: RICOH CD-R/RW MP7080A, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
blk: queue c035e6a4, I/O limit 4095Mb (mask 0xffffffff)
hda: 16514064 sectors (8455 MB) w/467KiB Cache, CHS=1027/255/63, UDMA(33)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 hda9 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 1024 buckets, 8Kbytes
TCP: Hash tables configured (established 8192 bind 8192)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 122k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 280k freed
Adding Swap: 393584k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 07:43:07 Apr 18 2002
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 9 for device 00:07.2
usb-uhci.c: USB UHCI at I/O 0x10c0, IRQ 9
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,9), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,8), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,7), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,5), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,3), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.17, 10 Jan 2002 on ide0(3,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
hdc: ATAPI 32X CD-ROM drive, 256kB Cache, DMA
Uniform CD-ROM driver Revision: 3.12
SCSI subsystem driver Revision: 1.00
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: RICOH     Model: CD-R/RW MP7080A   Rev: 1.10
  Type:   CD-ROM                             ANSI SCSI revision: 02
hdc: DMA disabled
hdd: DMA disabled
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
ip_conntrack (1024 buckets, 8192 max)
PCI: Found IRQ 11 for device 00:0e.0
PCI: Sharing IRQ 11 with 00:0c.0
PCI: Sharing IRQ 11 with 01:00.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
00:0e.0: 3Com PCI 3c905B Cyclone 100baseTx at 0x1000. Vers LK1.1.16
Comment 7 Joel Rees 2004-07-30 04:59:13 EDT
Oh. This is Fedora core 2 from May.
Comment 8 Joel Rees 2004-07-30 05:31:56 EDT
Okay, borrowing a clue from Oliver Dittmer, I just robbed a CD drive
from another machine, and install now proceeds past the place where it
panicked before. Does pause for several seconds at the running
/sbin/loader stage, I suppose that's normal.

I loaded RH 7.3 using the original drive, so the drive is more-or-less
functional. It had trouble reading glibc-common (which is part of my
motivation in moving up to Fedora). So the original CD drive may be
marginal.
Comment 9 John DeDourek 2004-08-16 15:56:01 EDT
Am having same problem on a (slow) IBM 300 GL (300MHz Pentium II),
INTEL 440 LX/EX chipset, 64MB memory, FX320X, CDRom.

Note the CDRom driver and timer interrupt in the traceback.
What's the chance that this is due to the CDRom driver race 
fixed by a patch from Jens Axoe in kernel 2.6.7?

Possibly related bugs 115458 and 129832. 
Comment 10 Pete Zaitcev 2004-08-18 00:42:49 EDT
So, can anyone get EIP after all?
Comment 11 Patrick Monnerat 2004-08-18 12:15:22 EDT
Same problem upon FC2 install from a Mitsumi FX120T.
No way to scroll up after panic, so how to get EIP ???
Comment 12 John DeDourek 2004-08-19 11:01:06 EDT
Booted with
  linux vga=773
to get enough lines on the console to show the EIP:

kernel BUG at drivers/ide/ide-iops.c:1003!
invalid operand: 0000 [#1]
CPU:    0
EIP:   0060:[<c01fa37a>]  Not tainted
EFLAGS:  00010086  (2.6.5-1.358)
EIP is at ide_execute_command+0x16/0x65
eax: c0382080  ebx: c0382080  ecx: c0203e75  edx: c3ce1d54
esi: c0381fd4  edi: 00000202  ebp: 000000a0  esp: c034cf24
ds: 007b  es: 007b  ss:  0068
Process swapper (pid: 0, threadinfo-c034c000 task-c02cdaa0
Stack: c0382080 00000000 00000000 c0203e75 
                                 c02038dc 0000ea60 c0203780 00000000
       00000000 c0382080 00000040 00000000
                                 c0204cf7 c3cd2400 c3ceb118 c3cd118
       c0382080 00000040 00000000 c01f908d
                                 00000040 00000000 00000008 c3ceb118
Call Trace:  [I am omitting the hex numbers
cdrom_start_read_continuation+0x0/0xb0
cdrom_start_packet_command+0x110/0x134
cdrom_timer_expiry+0x0/0x4c
ide_do_rw_cdrom+0xe3/0x14f
start_request+0x197/0x1b8
ide_do_request+0x23f/0x27a
ide_timer_expiry+0x151/0x15d
ide_timer_expiry+0x0/0x15d
run_timer_softirq_0x10b/0x12a
__do_softirq_0x35/0x73
do_softirq+0x46/0x4d
=======================
do_IRQ+0x15d/0x169
common_interrupt+0x18/0x20

Code: 0f 0b eb 03 c1 e4 2a c0 89 0a 8b 44 24 18 89 82 e4 00 00 00
<0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing

happens after the line:
  running /sbin/loader

There is a long delay at that point.
Then the CDRom drive spins up
Then the CDRom drive spins down
There is another delay
Then the "kernel "BUG"" appears.

Note that the above information is hand typed.  I proof read it,
but be cautious.

Machine is IBM 300GL, Pentium II (Klamath) 300 MHz, Intel 440LX/EX
  chip set, 64MB memory, FX320S CDRom on hdc.

I tried booting the Fedora Core 3 test1 -- same problem.
Comment 13 George Zygmund 2004-10-03 08:47:53 EDT
I'm experiencing the same problem, at the sbin loader point of the 
FC2 final. I'm running a Dell XPSPro200n with 64MB memory.
I've copied in the trace because it is slightly different to some of 
the others and may provide a clue... I'm off to dig up an old CD 
Drive!!


Call Trace
cdrom_start_read_confirmation
cdrom_start_packet_command
cdrom_timer_expiry
idle_do_rw_cdrom
start_request
idle_do_request
idle_timer_expiry
idle_timer_expiry
run_timer_softirq
====================
__do_softirq
do_IRQ
common_interrupt
default_idle
default_idle
cpu_idle
start_kernel

Code: 0f 0b eb 03 c1 e4 2a c0 89 0a 8b 44 24 18 89 82 e4 00 00 00
(0)Kernel panic: fatal exception in interrupt
In interrupt handler – not syncing
Comment 14 Alan Cox 2004-11-17 09:07:52 EST
From a first glance it seems hwgroup->handler is wrong . The sequence
in the trace appears to be a mix of two sets of traces (ie some is
stack noise). 

ide_timer_expiry -> cdrom_timer_expiry -> ??
then ide_timer_expiry clls
ide_do_request->start_request->ide_do_rw_cdrom ->
cdrom_start_packet_command(..,cdrom_start_read_confirmation)

and fires up a new command

That imples that on ide_timer_expiry entry
hwgroup->handler is set hwgroup->drive is valid
so a command timed out (which is fine by itself)

hwgroup->expiry would be cdrom_timer_expiry and for all commands on
the install which will return 0 for all the cases used by the
installer and thus fall through to generic handling and eventually
potential (and apparently actually) to the 'it's dead, issue new
command' case

At that point we bug in ide_execute_command because the current
command isnt in fact dead, so someone somewhere on the error path did
the wrong thing and appears to have issued a command in the error
handling path before we execute a new command



Comment 15 Alan Cox 2004-11-17 09:13:22 EST
Does using hdc=ide-scsi   (adjust for whichever drives are CD-ROM)
avoid the crash ?
Comment 16 John DeDourek 2004-11-17 12:53:29 EST
Very interesting.  Unfortunately, I don't have a Fedora Core 3
CD handy right now.  So I used a FC3-Test1 which I had handy.
(The problem originally occurred with the FC2 install CD.)

With hdc=ide-scsi (CDRom is on hdc), I no longer get a panic.
I used
   linux mediacheck hdc=ide-scsi

I got the language prompt, etc. from the installer.  But it
finally said that it could not locate the install CD on "any
of the CD drives" when I select a "install from local CD".
Comment 17 Alan Cox 2004-11-17 13:09:29 EST
Great, were any errors logged on the other consoles
(alt-f2/alt-f3/alt-f4) ?

What I want to try and find out is what error triggered the crash and
work from there
Comment 18 John DeDourek 2004-11-17 17:55:44 EST
Used the Fedora Core 2 CD that successfully installed other machines
and first showed the CDRom problem on the problem machine.

Boot machine with CDRom in drive.
In booting, it spins up the CD drive for a few seconds loads, I think
you call it the "preboot environment", and spins down the CD.

I type "linux mediacheck"

CD drive spins up for about 10 seconds, and the standard boot messages
fly by on the "alt-F1" console. "alt-F2" doesn't change the display.
"alt-F3" and "alt-F4" show two different sets of messages.

CD drive spins down.

About 20 seconds later CD drive spins up for about 5 seconds then
down again.

About one minute later the panic message appears.

After the panic message, the machine is dead and can't switch 
consoles.

Before that, I switched among the consoles actively.
All of the messages appear to be progress messages with no obvious
errors logged.

Alt-F1 shows the sequence of boot messages starting at the first
        5 second spinup of the CD and ends ends with   
        "running/sbin/loader" just after the CD spin down
        lasting for 20 seconds
Alt-F3 shows a sequence of progress messages about probing,
        module loading, etc. during the 20 second CD spin
        down.  It then shows "trying to mount cd device hdc"
        coincident with the second spin up (after the 20 
        seconds, before the one minute delay to the panic)
Alt=F3  shows a different sequence of messages, ending with
        messages about the ehternet card (e100: eth0: eth100_probe:)

I also tried this with a "vga=773" on the boot line.  This gives
me a smaller font and I can even check the messages right before
the panic.  Basically, the "running /sbin/loader" and "trying
to mount" and "e100" messages are the last before the panic.

Fedora core 1, which runs fine on the machine identifies the
CDRom drive as
hdc: FX320S, ATAPI CD/DVD-ROM drive
...
hdc: attached ide-cdrom driver
hdc: ATAPI 32X CD-ROM drive, 256kB Cache, DMA

in dmesg.
Comment 19 John DeDourek 2004-11-17 19:04:41 EST
Oops.  Two more lines in dmesg for Fedora Core 1:
Uniform CD-ROM driver Revision: 3.12
hdc: DMA disabled
Comment 20 Nick Wong 2004-12-28 22:36:55 EST
i'm also experiencing what I believe to be the same problem, i ended 
up installing FC3 using loadlin & ftp from another computer on LAN, 
but when I try to mount a cd the kernel panic occurs...

the system is a relatively old on p133 - cd drive is a mitsumi fx 
series (not sure actual model) 8x cd rom drive

(let me know if i can add anything else, i'm new to linux & 
bugzilla...)

this is what i grabbed from a serial console...

hdc: DMA interrupt recovery
hdc: lost interrupt
hdc: cdrom_decode_status: status=0xd0 { Busy }
hdc: cdrom_decode_status: error=0xd0LastFailedSense 0x0d
------------[ cut here ]------------
kernel BUG at drivers/ide/ide-iops.c:1071!
invalid operand: 0000 [#1]
Modules linked in: sermouse md5 ipv6 parport_pc lp parport autofs4 
i2c_dev i2c_c
ore sunrpc ipt_REJECT ipt_multiport ipt_state ip_conntrack 
iptable_filter ip_tab
les vfat fat dm_mod ns558 gameport ne2k_pci 8390 floppy ext3 jbd
CPU:    0
EIP:    0060:[<c026da2a>]    Not tainted VLI
EFLAGS: 00010086   (2.6.9-1.681_FC3)
EIP is at ide_execute_command+0xaf/0x173
eax: 00000000   ebx: c10e4e00   ecx: c027890a   edx: 000000a0
esi: c04219c8   edi: c042191c   ebp: c027890a   esp: c03e2f18
ds: 007b   es: 007b   ss: 0068
Process swapper (pid: 0, threadinfo=c03e2000 task=c0358bc0)
Stack: 00000202 a0008000 00008000 c04219c8 00008000 c027890a c0278272 
0000ea60
       c027811e 00000000 00000000 c04219c8 00000000 00000000 c02798a3 
c5f81c00
       c1117a4c c1117a4c c04219c8 00000000 00000000 c026bc5b 00000000 
00000000
Call Trace:
 [<c027890a>] cdrom_start_read_continuation+0x0/0xb0
 [<c0278272>] cdrom_start_packet_command+0x108/0x242
 [<c027811e>] cdrom_timer_expiry+0x0/0x4c
 [<c02798a3>] ide_do_rw_cdrom+0xdf/0x14b
 [<c026bc5b>] start_request+0x19f/0x1c0
 [<c026bf76>] ide_do_request+0x2df/0x3a0
 [<c026c461>] ide_timer_expiry+0x35d/0x3da
 [<c026c104>] ide_timer_expiry+0x0/0x3da
 [<c012acaa>] run_timer_softirq+0x21f/0x321
 [<c0126ac5>] __do_softirq+0x35/0x79
 [<c0109487>] do_softirq+0x46/0x4d
 =======================
 [<c0108915>] do_IRQ+0x286/0x290
 [<c03102c8>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x26
 [<c01176a6>] apm_cpu_idle+0xf3/0x129
 [<c010408a>] cpu_idle+0x1d/0x32
 [<c03b66a6>] start_kernel+0x216/0x219
Code: e8 d7 3d eb ff 83 c4 1c c7 05 cc a8 37 c0 01 00 00 00 c7 05 d8 
a8 37 c0 b7
 62 33 c0 c7 05 dc a8 37 c0 2c 04 00 00 83 3b 00 74 08 <0f> 0b 2f 04 
b7 62 33 c0
 89 2b 8b 44 24 20 89 83 fc 00 00 00 a1
 <0>Kernel panic - not syncing: Fatal exception in interrupt
 <4>atkbd.c: Spurious ACK on isa0060/serio0. Some program, like 
XFree86, might b
e trying access hardware directly.
atkbd.c: Spurious ACK on isa0060/serio0. Some program, like XFree86, 
might be tr
ying access hardware directly.

Comment 21 Timothy Stone 2005-02-04 22:09:01 EST
No panic out for details, but same thing happening in FC3. P2 333, 256MB RAM.
Comment 22 Dave Jones 2005-02-24 01:03:41 EST
*** Bug 119293 has been marked as a duplicate of this bug. ***
Comment 23 john.l.villalovos 2005-03-25 17:26:40 EST
The same thing seemed to be happening to me today.

At the start of the installation I did:

   linux ide=nodma

Everything worked fine after that.  I have some funky no name CD-ROM drive in my
system.  And an old Intel motherboard (last BIOS update was 1999).
Comment 25 Alan Cox 2005-04-07 04:46:23 EDT
The incorrect request blanking bug was fixed in update kernel and also in RHEL4
gold after SGI pinned it down. The ide=nodma workaround suggested is a good
solution until a kernel update is done.

The actual bug occurs when a CD command is retried.
Comment 26 Sukumar 2005-06-03 00:54:13 EDT
1. System hangs while executing /sbin/loader in FC4 also.
2. Sometimes just before the first screen starts up in GUI installation mode,
the monitor went into undesirable format (unreadable too...coz it shows numerous
vertical lines with numerous colours), then the system hangs thereafter. This is
also in FC4.
Comment 27 dumpstein 2005-07-23 00:05:07 EDT
Reporting similar experiences.  ide=nodma works and ide=scsi allows booting but
must install from sources other than CD because no media found.

HW
  Gateway E-4200, PII-450, 128MB
  Mitsumi FX322-M ATAPI CDROM

SYMPTOMS
  Freeze at /sbin/loader, cdrom_start_read_continuation stack, panic.
  ide=scsi allows kernel boot but can't install from CDROM.
  ide=nodma makes it work.

SCOPE
  Using trustworthy FC3 *and* FC4 boot images.
Comment 28 Matthew Miller 2006-07-07 14:41:26 EDT
Moving to FC4 as per comment #2. Since FC4 is also about to move to Legacy
status, this should be moved to FC6test1 if appropriate there.
Comment 29 Dave Jones 2006-09-16 23:05:43 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 30 Dave Jones 2006-10-16 15:24:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.